summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2019-01-04 13:38:52 +0100
committerMart Raudsepp <leio@gentoo.org>2019-02-11 19:15:02 +0200
commit8a9293d89840e1249eba53ce4a5ad41079fcac6c (patch)
tree8a005bfcfb9abbed395bf02ca7ca1705191ae55d /dev-lang
parentdev-libs/vala-common: 0.40.12 → 0.42.4 (diff)
downloadgentoo-8a9293d89840e1249eba53ce4a5ad41079fcac6c.tar.gz
gentoo-8a9293d89840e1249eba53ce4a5ad41079fcac6c.tar.bz2
gentoo-8a9293d89840e1249eba53ce4a5ad41079fcac6c.zip
dev-lang/vala: dev-libs/vala: 0.40.12 → 0.42.4
Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Gilles Dartiguelongue <eva@gentoo.org> Signed-off-by: Mart Raudsepp <leio@gentoo.org>
Diffstat (limited to 'dev-lang')
-rw-r--r--dev-lang/vala/Manifest1
-rw-r--r--dev-lang/vala/vala-0.42.4.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/dev-lang/vala/Manifest b/dev-lang/vala/Manifest
index 8691b0b8736..2fc446603a0 100644
--- a/dev-lang/vala/Manifest
+++ b/dev-lang/vala/Manifest
@@ -3,3 +3,4 @@ DIST vala-0.34.16.tar.xz 2795676 BLAKE2B 64428099c209e13a6aad09233af650f412efa19
DIST vala-0.36.15.tar.xz 2880300 BLAKE2B ea83bde6396f3be1c96038d63ae30b18fa070a6f7a06b75569bfed9d7792c898201a1f24d000f5b6415bb890cf975758341a97f22db74da02fcbeb3f283e546f SHA512 1c8f888832b2dd4248737a5a27f00f42d8bab2fe0a0790a7df5c426f4e3e1d0919ed0f6f6fd905be758ed477ba840e18f608e67811389c811ba65710094abe61
DIST vala-0.36.17.tar.xz 2898524 BLAKE2B 4a5a373bacd4e4a392350c7819e0498054e38f50dce89658412d7aeb5642892ef9f32a7689ebd45f53c41f064e0b6d2f52fb441be67a1dd48e67311a1e764637 SHA512 93d4fa600cd0ef62b71ed056b837f2c0a42c3aba25b021b2bbd2045428550307727827b250dae546926ea3fe2e33a5ac80c9b24b5100f02550ec584dd5da5e92
DIST vala-0.40.12.tar.xz 3390368 BLAKE2B b11eef3687b3c6cd5c7a3b0ffdaa29e20c0c00ea1cb457c6d7cc02f2fd0a842a27f65091b842846f606f80c62fc89cd2e5b620af635ebe0b9cd55d8c35251c47 SHA512 3bc28fe2ad7c05f4de00c593bde1def0c8d8e496fecd11009d6a4e987f4aeae0a31be995efdda2ba339b9aa540610c6f2f8f9295f1b0d4be6dd7ee841c08598d
+DIST vala-0.42.4.tar.xz 3346288 BLAKE2B 316613e62f0ae4800ebbccc5bc78941cb8c57dec7189b8d9e5bc13d27c8a91713305f348b65626ecb71e2de0960911faf7d86ec2b055a2961d39527d73f6dea5 SHA512 897658874d89f7e34a6167cd055fa64c8fc4a870330a734ea20bd526a79d8d35033325b23e8533bcf59f02e7157310632ebfb5305619505d37fbdc2fd6343330
diff --git a/dev-lang/vala/vala-0.42.4.ebuild b/dev-lang/vala/vala-0.42.4.ebuild
new file mode 100644
index 00000000000..1339fc0c6a5
--- /dev/null
+++ b/dev-lang/vala/vala-0.42.4.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+GNOME2_EAUTORECONF="yes"
+
+inherit gnome2
+
+DESCRIPTION="Compiler for the GObject type system"
+HOMEPAGE="https://wiki.gnome.org/Projects/Vala"
+
+LICENSE="LGPL-2.1"
+SLOT="0.42"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-linux"
+IUSE="test valadoc"
+
+RDEPEND="
+ >=dev-libs/glib-2.40.0:2
+ >=dev-libs/vala-common-${PV}
+ valadoc? ( >=media-gfx/graphviz-2.16 )
+"
+DEPEND="${RDEPEND}
+ !${CATEGORY}/${PN}:0
+ dev-libs/libxslt
+ sys-devel/flex
+ virtual/pkgconfig
+ virtual/yacc
+ test? (
+ dev-libs/dbus-glib
+ >=dev-libs/glib-2.26:2
+ dev-libs/gobject-introspection )
+"
+
+PATCHES=(
+ # From master
+ "${FILESDIR}"/0.40-Allow-disabling-the-build-of-valadoc.patch
+ # Add missing bits to make valadoc parallel installable
+ "${FILESDIR}"/0.40-valadoc-doclets-data-parallel-installable.patch
+)
+
+src_configure() {
+ # https://bugs.gentoo.org/483134
+ export GIT_CEILING_DIRECTORIES="${WORKDIR}"
+
+ # weasyprint enables generation of PDF from HTML
+ gnome2_src_configure \
+ --disable-unversioned \
+ $(use_enable valadoc) \
+ VALAC=: \
+ WEASYPRINT=:
+}
+
+src_install() {
+ default
+ find "${D}" -name "*.la" -delete || die
+}